package cib.util.featureLogic;

import java.text.DateFormat;
import java.util.Date;

public class FormattedDate extends Date {
    private DateFormat m_formater = DateFormat.getDateTimeInstance(
        DateFormat.MEDIUM, DateFormat.MEDIUM);

    public FormattedDate() {
        super();
    }

    public FormattedDate(Date date) {
        super(date.getTime());
    }

    public FormattedDate(Long longValue) {
        super(longValue);
    }

    public DateFormat getFormater() {
        return m_formater;
    }

    public void setFormater(DateFormat formater) {
        if (formater != null)
            m_formater = formater;
    }

    @Override
    public String toString() {
        return m_formater.format(this);
    }
}
